> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get an OAuth client

`GET https://api.pagerduty.com/webhook_subscriptions/oauth_clients/{id}`

Get details of a specific OAuth client by ID.

Requires admin or owner role permissions.

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

OAuth client details

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `oauth_client` | object |  |  |
| `oauth_client.id` | string |  | The ID of the OAuth client. Read-only. |
| `oauth_client.type` | string | yes | The type of object being created. One of: `oauth_client`. Default: `oauth_client`. |
| `oauth_client.name` | string | yes | A human-readable name for the OAuth client. Max length: 255. |
| `oauth_client.client_id` | string | yes | The OAuth client ID provided by the OAuth server. Max length: 255. |
| `oauth_client.scope` | string \| null |  | The OAuth scopes requested for this client. Max length: 255. |
| `oauth_client.token_url` | string (uri) | yes | The OAuth token endpoint URL. Max length: 255. |
| `oauth_client.grant_type` | string | yes | The OAuth grant type (currently only client_credentials is supported) One of: `client_credentials`. |
| `oauth_client.status` | string |  | The current status of the OAuth client. Read-only. One of: `active`, `error`. |

Example: Get OAuth Client

```json
{
  "oauth_client": {
    "id": "AGMEB7F7YJYELCPG4Y5YWMYGXE",
    "type": "oauth_client",
    "name": "PagerDuty Webhook Integration",
    "client_id": "oauth-client-id",
    "scope": null,
    "token_url": "https://foo.oauth-server.com/oauth_token.do",
    "grant_type": "client_credentials",
    "status": "active"
  }
}
```

## Response 401

Caller did not supply credentials or did not provide the correct
credentials.

If you are using an API key, it may be invalid or your Authorization header may be malformed.

## Response 403

Caller is not authorized to view the requested resource.

While your authentication is valid, the authenticated user or token does not have permission to perform this action.

## Response 404

The requested resource was not found.

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
